Bug 507167 - Error during preupgrade Fedora10->11, x86_64: ImportError: No module named dumpMetadata
Error during preupgrade Fedora10->11, x86_64: ImportError: No module named du...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 08:40 EDT by Marina
Modified: 2014-01-21 18:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 06:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Software Source (105.48 KB, image/png)
2009-06-23 04:34 EDT, Marina
no flags Details

  None (edit)
Description Marina 2009-06-21 08:40:22 EDT
Description of problem:
Error during preupgrade Fedora10->11, x86_64: ImportError: No module named dumpMetadata

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run next on the terminal:
       >yum clean all
       >yum install preupgrade
       >preupgrade
2. The GUI screen will appear and got stuck on the last step "Prepare and test upgrade".
3. On the terminal you can see next error:
Generating metadata for preupgrade repo
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 238, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 257, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 545, in main_preupgrade
    callback=MDGenCallback(pbar=self.progress))
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 651, in generate_repo
    misc.generate_repodata(dir,comps,callback)
  File "/usr/lib/python2.5/site-packages/preupgrade/misc.py", line 127, in generate_repodata
    from dumpMetadata import MDError
ImportError: No module named dumpMetadata

  
Actual results:
The system is not upgraded and stuck with the error above.

Expected results:
Terminate the step on the GUI, ask to reboot and upgrade to Fedora 11.

Additional info:
Comment 1 Will Woods 2009-06-22 10:23:08 EDT
This can happen if you somehow manage to get preupgrade installed without its dependencies. Run:

package-cleanup --problems

as root and it should notice the missing dependencies and install them for you.

How did you install preupgrade? Did you install your F10 system with the Updates repo enabled?
Comment 2 Marina 2009-06-23 04:34:58 EDT
Created attachment 349060 [details]
Software Source
Comment 3 Marina 2009-06-23 04:45:46 EDT
1. I'll try the --problems option.
2. My steps for F11 upgrade:
- yum clean all
- yum install preupgrade
- preupgrade
3.F10 is installed from scratch. Please see the attached screenshot of the repositpries chosen.
Comment 4 Marina 2009-06-23 06:20:11 EDT
After running recommended steps above and redownloading preupgrade, the upgrade succeeded.

Note You need to log in before you can comment on or make changes to this bug.